Loading...
Searching...
No Matches
Magick::cycleColormapImage Class Reference

## Public Member Functions

| cycleColormapImage (const ::ssize_t amount_)
void | operator() (Image &image_) const

## Private Attributes

::ssize_t | _amount

## Detailed Description

Definition at line 324 of file STL.h.

## Constructor & Destructor Documentation

## cycleColormapImage()

Magick::cycleColormapImage::cycleColormapImage | ( | const ::ssize_t | amount_ | ) |

Definition at line 283 of file STL.cpp.

: _amount( amount_ )
{
}

## Member Function Documentation

## operator()()

void Magick::cycleColormapImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 287 of file STL.cpp.

{
image_.cycleColormap( _amount );
}

## Field Documentation

## _amount

::ssize_t Magick::cycleColormapImage::_amount

private

Definition at line 332 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp